const handlebars = require("handlebars");

/**
 * Any code used inside this helper is ignored by Handlebars. Use it if your email service provider uses a Handlebars-like syntax.
 * @example
 * {{{{raw}}}}
 * {{ this }} code won't be parsed.
 * {{{{/raw}}}}
 */
module.exports = function (content) {
  if (process.env.NODE_ENV === "production") {
    return content.fn();
  }

  const template = handlebars.compile(content.fn());
  const result = template(content.data.root.offer);

  return result;
};
