'use strict';

const path = require('path');
const execa = require('execa');

const { populateWithData } = require('./utils');

module.exports = async () => {
  populateWithData();

  await execa.command('percy snapshot ', {
    stdio: 'inherit',
    cwd: path.join(__dirname, '..'),
  });

  process.exit();
};
